Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmdb/poptDB.c File Reference

Popt tables for database modes. More...

`#include "system.h"`
`#include <rpmcli.h>`
`#include "debug.h"`

Go to the source code of this file.

## Variables

rpmDatabaseArguments_s | rpmDBArgs
int | _noDirTokens
poptOption | rpmDatabasePoptTable []

## Detailed Description

Popt tables for database modes.

Definition in file poptDB.c.

## Variable Documentation

int _noDirTokens

| Definition at line 15 of file poptDB.c.

struct poptOption rpmDatabasePoptTable[]

Initial value:

     {
     { "initdb", '\0', POPT_ARG_VAL, &rpmDBArgs.init, 1,
             "initialize database" , NULL},
     { "rebuilddb", '\0', POPT_ARG_VAL, &rpmDBArgs.rebuild, 1,
             "rebuild database inverted lists from installed package headers" ,
            NULL},
     { "verifydb", '\0', POPT_ARG_VAL|POPT_ARGFLAG_DOC_HIDDEN, &rpmDBArgs.verify, 1,
             "verify database files" , NULL},
     { "nodirtokens", '\0', POPT_ARG_VAL|POPT_ARGFLAG_DOC_HIDDEN, &_noDirTokens, 1,
             "generate headers compatible with (legacy) rpm[23] packaging" ,
            NULL},
     { "dirtokens", '\0', POPT_ARG_VAL|POPT_ARGFLAG_DOC_HIDDEN, &_noDirTokens, 0,
             "generate headers compatible with rpm4 packaging" , NULL},

       POPT_TABLEEND
    }

Definition at line 20 of file poptDB.c.

struct rpmDatabaseArguments_s rpmDBArgs

| Definition at line 12 of file poptDB.c. Referenced by main.